Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.common
Class T3Exception

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--weblogic.common.T3Exception

Direct Known Subclasses:
  MonitorException, RemoteException, T3ClientReconnectedException, TimeTriggerException

public class T3Exception
extends java.io.IOException
implements weblogic.utils.NestedThrowable

A T3Exception is thrown whenever an error occurs between a T3Client and a WebLogic Server.

Author:
  Copyright (c) 1995-98 by WebLogic, Inc., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`T3Exception()`
`T3Exception(java.lang.String s)` Constructor.
`T3Exception(java.lang.String s, java.lang.Throwable ne)` Constructs a T3Exception with the specified string and nested Exception.

Method Summary
`java.lang.Throwable` | `getNested()`
`java.lang.Throwable` | `getNestedException()` Gets the nested exception for a T3Exception.
`void` | `printStackTrace()` Prints the stack trace associated with this exception and its nested exception to System.err.
`void` | `printStackTrace(java.io.PrintStream s)` Prints the stack trace associated with this exception and its nested exception.
`protected void` | `setNestedException(java.lang.Throwable nestedException)` Gets the nested exception for a T3Exception.
`void` | `superPrintStackTrace(java.io.PrintStream ps)`
`java.lang.String` | `superToString()`
`java.lang.String` | `toString()` Prints the exception message and its nested exception message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### T3Exception

    public T3Exception(java.lang.String s)

  Constructor.

  Parameters:
    `s` - String message

### T3Exception

    public T3Exception()

### T3Exception

    public T3Exception(java.lang.String s,
                       java.lang.Throwable ne)

  Constructs a T3Exception with the specified string and nested Exception.

  Parameters:
    `s` - String message
    `ne` - Exception

Method Detail

### setNestedException

    protected void setNestedException(java.lang.Throwable nestedException)

  Gets the nested exception for a T3Exception.

  Returns:
    Nested exception

### getNestedException

    public java.lang.Throwable getNestedException()

  Gets the nested exception for a T3Exception.

  Returns:
    Nested exception

### toString

    public java.lang.String toString()

  Prints the exception message and its nested exception message.

  Returns:
    String representation of the exception
  Overrides:
    toString in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Prints the stack trace associated with this exception and its nested exception.

  Parameters:
    `s` - PrintStream
  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace()

  Prints the stack trace associated with this exception and its nested exception to System.err.

  Parameters:
    `s` - PrintStream
  Overrides:
    printStackTrace in class java.lang.Throwable

### getNested

    public java.lang.Throwable getNested()

  Specified by:
    getNested in interface weblogic.utils.NestedThrowable

### superToString

    public java.lang.String superToString()

  Specified by:
    superToString in interface weblogic.utils.NestedThrowable

### superPrintStackTrace

    public void superPrintStackTrace(java.io.PrintStream ps)

  Specified by:
    superPrintStackTrace in interface weblogic.utils.NestedThrowable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD